Get User Videos API Endpoint
curl --request GET \
--url https://backend.clipvision.ai/api/user/videos/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backend.clipvision.ai/api/user/videos/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backend.clipvision.ai/api/user/videos/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"video_id": 1,
"disabled": false,
"video_title": "Video Title",
"video_description": "Video Description",
"elapsed_gen_time": 100,
"credits_cost": 1,
"resolution": "1920x1080",
"creation_date": "2024-03-17T17:48:20.000Z",
"original_input_script": "Original Input Script",
"download_link": "https://clipvision.ai/download/video/1",
"preview_url": "https://clipvision.ai/preview/video/1",
"content_type": null,
"input_video": null,
"input_music": null,
"input_voice": null,
"font_profile": null,
"media_profile": null,
"voice_profile": null,
"template": null,
"playlist": null
}
]This response has no body data.{
"success": false,
"error": "Internal Server Error"
}api
Get User Videos API Endpoint
This API endpoint allows a user to retrieve all videos associated with their account.
GET
/
api
/
user
/
videos
/
Get User Videos API Endpoint
Authorizations
Basicapi_key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Minimum string length:
1Minimum string length:
1Response
Successfully retrieved the user videos
Content Type OpenAPI Schema
Show child attributes
Show child attributes
InputVideo OpenAPI Schema
Show child attributes
Show child attributes
Audio OpenAPI Schema
Show child attributes
Show child attributes
Audio OpenAPI Schema
Show child attributes
Show child attributes
Font Profile OpenAPI Schema
Show child attributes
Show child attributes
Media Profile OpenAPI Schema
Show child attributes
Show child attributes
Voice Profile OpenAPI Schema
Show child attributes
Show child attributes
Template OpenAPI Schema
Show child attributes
Show child attributes
Playlist OpenAPI Schema
Show child attributes
Show child attributes